# $Revision: 1.27 $, $Date: 2004/08/17 19:25:06 $
#
# Conditional build:
%bcond_without	autodeps	- don't BR packages needed only for resolving deps
#
%include        /usr/lib/rpm/macros.perl
Summary:	Frontend to poldek
Summary(pl):	Nakadka na poldka
Name:		poldex
Version:	0.17.4
Release:	1
License:	GPL
Group:		Applications
Source0:	http://www.yogib.risp.pl/poldex/%{name}-%{version}.tar.bz2
# Source0-md5:	64ba56f456d5d8b02d29177c857a5b0d
URL:		http://www.yogib.risp.pl/
%if %{with autodeps}
BuildRequires:	perl-Curses
BuildRequires:	perl-Locale-gettext
BuildRequires:	perl-RPM
%endif
BuildRequires:	rpm-perlprov
Requires:	poldek
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nice frontend to poldek written in Perl.

%description -l pl
Przyjemna nakadka na poldka napisana w Perlu.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}}

install %{name} $RPM_BUILD_ROOT%{_bindir}
cp -R locale $RPM_BUILD_ROOT%{_datadir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: poldex.spec,v $
Revision 1.27  2004/08/17 19:25:06  yogib
- 0.17.4, removed obsoleted patches

Revision 1.26  2004/08/15 19:07:46  yogib
- added temporary bug fix patch

Revision 1.25  2004/08/04 13:47:26  ankry
- fixed -pl_update patch, rel. 4

Revision 1.24  2004/08/04 06:22:16  ankry
- more complete source, typos, pl fixes, rel. 3

Revision 1.23  2004/05/27 12:22:12  blues
- release 2 for AC

Revision 1.22  2004/05/16 20:51:14  yogib
- updated to 0.17.3

Revision 1.21  2004/05/12 20:58:37  yogib
- updated to 0.17.2

Revision 1.20  2004/02/11 22:01:12  yogib
- updated to 0.17.1

Revision 1.19  2003/11/16 00:47:06  qboosh
- added BRs for autodeps (it's uninstallable in Ac... perl-RPM must be updated)

Revision 1.18  2003/11/16 00:30:19  qboosh
- fixed files (use find_lang)

Revision 1.17  2003/11/15 21:32:31  radek
- URL works...  I must have broken something.

Revision 1.16  2003/11/15 21:25:54  radek
- version 0.17 (URL doesn't work)

Revision 1.15  2003/08/31 20:43:05  undefine
- BR is not needed

Revision 1.14  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/07/14 12:25:11  qboosh
- up to 0.16.5 (advised by author)

Revision 1.12  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:25:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/17 09:12:07  qboosh
- perl-Curses is needed for resolving deps

Revision 1.9  2003/05/11 18:28:21  wolf
- 0.16.1

Revision 1.8  2003/05/03 20:52:23  wolf
- from zban at inetia dot pl

Revision 1.7  2003/05/03 16:05:58  wolf
- noarch
- don't BR perl

Revision 1.6  2003/04/28 18:32:19  t0tal
- updated to rewrited version 0.15, now poldex use perl-Curses

Revision 1.5  2003/04/24 11:09:41  djrzulf
- lepiej si czepia, jak poprawia

Revision 1.4  2003/04/23 16:56:44  radek
- BR: rpm-perlprov,  R: poldek
- added patch for a warning in 121th line
- release 2

Revision 1.3  2003/04/23 14:31:53  qboosh
- simplified prep, added BR for autodeps

Revision 1.2  2003/04/23 11:23:13  djrzulf
- added auto requires

Revision 1.1  2003/04/23 11:19:57  djrzulf
- initial version, maybe it should be at poldek.spec ?
